{
  "EncryptionKey": "MzEyMCU0IzAuMjQzZTIyNC4lSiNANTJuMzIxaFt6YXM=",
  "IssuerUrl": "http://localhost:57000",
  "RequireHttps": false,
  "CookieName": "oauth2-authorization",
  "CookieExpirationInMinutes": 2,
  "AuthorizationTokenDurationInMinutes": 60,
  "Claims": [
    "address",
    "birthdate",
    "email",
    "email_verified",
    "family_name",
    "gender",
    "given_name",
    "issuer",
    "locale",
    "middle_name",
    "name",
    "nickname",
    "phone_number",
    "phone_number_verified",
    "picture",
    "preferred_username",
    "profile",
    "subject",
    "updated_at",
    "website",
    "zoneinfo"
  ],
  "RegisteredClients": [
    {
      "GrantTypes": [ "client_credentials" ],
      "ClientId": "int-tests",
      "DisplayName": "Abacus client",
      "ClientSecret": "Int_Tests_Secretz",
      "ClientType": "confidential",
      "BuiltinClaims": [
        {
          "Type": "http://schemas.microsoft.com/ws/2008/06/identity/claims/role",
          "Value": "DBA"
        }
      ],
      "Permissions": [
        "ept:authorization",
        "ept:token",
        "ept:logout",
        "gt:authorization_code",
        "gt:implicit",
        "gt:refresh_token",
        "gt:client_credentials",
        "rst:code",
        "rst:code id_token",
        "rst:code id_token token",
        "rst:code token",
        "rst:id_token",
        "rst:id_token token",
        "rst:token",
        "scp:SerdicaAPI",
        "scp:openid",
        "scp:address",
        "scp:email",
        "scp:phone",
        "scp:profile"
      ]
    },
    {
      "GrantTypes": [ "client_credentials" ],
      "ClientId": "beth-gpt-python",
      "DisplayName": "Beth Client",
      "ClientSecret": "goDRiDvkyrtv17NVEOkhp43SF2af6NSL",
      "ClientType": "confidential",
      "BuiltinClaims": [
        {
          "Type": "http://schemas.microsoft.com/ws/2008/06/identity/claims/role",
          "Value": "DBA"
        }
      ],
      "Permissions": [
        "ept:authorization",
        "ept:token",
        "ept:logout",
        "gt:authorization_code",
        "gt:implicit",
        "gt:refresh_token",
        "gt:client_credentials",
        "rst:code",
        "rst:code id_token",
        "rst:code id_token token",
        "rst:code token",
        "rst:id_token",
        "rst:id_token token",
        "rst:token",
        "scp:SerdicaAPI",
        "scp:openid",
        "scp:address",
        "scp:email",
        "scp:phone",
        "scp:profile"
      ]
    },
    {
      "GrantTypes": [ "authorization_code", "implicit" ],
      "ClientId": "serdica-ui",
      "DisplayName": "Serdica UI",
      "RedirectUris": [ "http://localhost:4200" ],
      "PostLogoutRedirectUris": [ "http://localhost:4200/signout-callback.html" ],
      "ClientType": "public",
      "Properties": {
        "authenticationDelegateUrl": "{{redirect_url}}/#/session/signin?signInUrl={{issuer_url}}/connect/token"
      },
      "Requirements": [ "fpkce" ],
      "Permissions": [
        "ept:authorization",
        "ept:token",
        "ept:logout",
        "ept:revocation",
        "ept:introspection",
        "ept:userinfo",
        "gt:authorization_code",
        "gt:implicit",
        "gt:refresh_token",
        "rst:code",
        "rst:code id_token",
        "rst:code id_token token",
        "rst:code token",
        "rst:id_token",
        "rst:id_token token",
        "rst:token",
        "scp:SerdicaAPI",
        "scp:openid",
        "scp:address",
        "scp:email",
        "scp:phone",
        "scp:profile"
      ]
    },
    {
      "GrantTypes": [ "authorization_code", "implicit" ],
      "ClientId": "postman",
      "DisplayName": "PostMan",
      "RedirectUris": [ "https://oauth.pstmn.io/v1/callback" ],
      "PostLogoutRedirectUris": [],
      "ClientType": "public",
      "Properties": {
        "authenticationDelegateUrl": "{{issuer_url}}/login.html?signInUrl={{issuer_url}}/connect/token"
      },
      "Requirements": [ "fpkce" ],
      "Permissions": [
        "ept:authorization",
        "ept:token",
        "ept:logout",
        "ept:revocation",
        "ept:introspection",
        "ept:userinfo",
        "gt:authorization_code",
        "gt:implicit",
        "gt:refresh_token",
        "rst:code",
        "rst:code id_token",
        "rst:code id_token token",
        "rst:code token",
        "rst:id_token",
        "rst:id_token token",
        "rst:token",
        "scp:SerdicaAPI",
        "scp:IdentityServerApi",
        "scp:openid",
        "scp:address",
        "scp:email",
        "scp:phone",
        "scp:profile"
      ]
    }
  ],
  "Endpoints": {
    "Authorization": "/connect/authorize",
    "Device": "/connect/device",
    "Introspection": "/connect/introspect",
    "Token": "/connect/token",
    "Userinfo": "/connect/userinfo",
    "Logout": "/connect/endsession",
    "CheckSession": "/connect/checksession",
    "EndUserVerification": "/connect/verification",
    "Revocation": "/connect/revocation",
    "Jwks": "/connect/jwks",
    "Message": "/connect/message",
    "Configuration": "/.well-known/openid-configuration"
  },
  "Scopes": [
    "SerdicaAPI",
    "IdentityServerApi",
    "api",
    "address",
    "email",
    "phone",
    "profile",
    "offline_access",
    "openid",
    "roles"
  ]
}
